Table t;

void parseData(){
  subredditMap = new HashMap<String, Subreddit>();
  
  t = loadTable("submissions.csv", "header");
  for(int i = 0; i < t.getRowCount(); i++){
    String subredditName = t.getString(i,"subreddit");

    if(subredditName.equals(""))
      subredditName = "XXX";

    if(!t.getString(i,"username").equals("") && !t.getString(i,"username").equals("syncretic"))
    {
      Image _i = new Image(t.getInt(i, "image_id"),
                           t.getInt(i, "number_of_upvotes"),
                           t.getInt(i, "number_of_downvotes"),
                           t.getInt(i, "score"),
                           t.getInt(i, "number_of_comments"),
                           t.getLong(i, "unixtime"),
                           t.getString(i, "title").toLowerCase(),
                           t.getString(i, "reddit_id"),
                           t.getInt(i, "numOccurance"));
  
      if(!subredditMap.containsKey(subredditName)) {
        Subreddit _sub = new Subreddit(subredditName);
        subredditMap.put(subredditName, _sub);
  
        User _u = new User(t.getString(i,"username"));
        
        _i.assignProperties(_u, _sub);
        _u.putMap(subredditName, _i);
  
        subredditMap.get(subredditName).addUser(_u);
        subredditMap.get(subredditName).addImage(_i);
      }
      else {
        User _u;
        if(subredditMap.get(subredditName).users.containsKey(t.getString(i,"username"))){
          _u = subredditMap.get(subredditName).users.get(t.getString(i,"username"));
        }
        else{
          _u = new User(t.getString(i,"username")); 
        }
        _i.assignProperties(_u, subredditMap.get(subredditName));
        _u.putMap(subredditName, _i);
        subredditMap.get(subredditName).addUser(_u);
        subredditMap.get(subredditName).addImage(_i);
      }
    }
  }
 }